apiVersion: apps/v1
kind: Deployment
metadata:
  name: lsp-core-service-deployment
  namespace: holokube
spec:
  replicas: 1
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      app: lsp-core-service-pod
  template:
    metadata:
      labels:
        build_number: ${BUILD_NUMBER}
        app: lsp-core-service-pod
        role: rolling-update
    spec:
      volumes:
      - name: lsp-storage
        persistentVolumeClaim:
          claimName: lsppvc
      containers:
      - name: lsp-core-service-container-pod
        image: docker.semweb.co/lsp_core_service:latest
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
        env:
        - name: KEYCLOAK_URL
          value: "http://keycloak.holokube:8080"
        - name: MTCPMGT_URL
          value: "http://mtcpmgt-service.holokube:8080"
        volumeMounts:
        - mountPath: "/lspdata"
          name: lsp-storage
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
